### Method

# Fwupd Device get_version_format

since: 1.2.9

#### Declaration [src]

    FwupdVersionFormat
    fwupd_device_get_version_format (
      FwupdDevice* self
    )

#### Description [src]

Gets the version format.

Available since: 1.2.9

Gets property | `Fwupd.Device:version-format`

#### Return value

Type: `FwupdVersionFormat`

The version format, or `FWUPD_VERSION_FORMAT_UNKNOWN` if unset.